PlainTextNaiveBayesModelWriter (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.ml.naivebayes, class: PlainTextNaiveBayesModelWriter

# Class PlainTextNaiveBayesModelWriter

java.lang.Object
opennlp.tools.ml.model.AbstractModelWriter
opennlp.tools.ml.AbstractMLModelWriter
opennlp.tools.ml.naivebayes.NaiveBayesModelWriter
opennlp.tools.ml.naivebayes.PlainTextNaiveBayesModelWriter

public class PlainTextNaiveBayesModelWriter extends NaiveBayesModelWriter
A `NaiveBayesModelWriter` that writes models in a plain text format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainTextNaiveBayesModelWriter(AbstractModel model, BufferedWriter bw)`
  Instantiates `PlainTextNaiveBayesModelWriter` via an `naive bayes model` and a `BufferedWriter`.
  `PlainTextNaiveBayesModelWriter(AbstractModel model, File f)`
  Instantiates `PlainTextNaiveBayesModelWriter` via an `naive bayes model` and a `File`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the underlying `DataOutputStream`.
  `void`
  `writeDouble(double d)`
  Writes a single `double` to the underlying `DataOutputStream`.
  `void`
  `writeInt(int i)`
  Writes a single `int` to the underlying `DataOutputStream`.
  `void`
  `writeUTF(String s)`
  Writes a `String` to the underlying `DataOutputStream`.

  ### Methods inherited from class NaiveBayesModelWriter

  `persist`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainTextNaiveBayesModelWriter

    public PlainTextNaiveBayesModelWriter(AbstractModel model, File f) throws IOException
    Instantiates `PlainTextNaiveBayesModelWriter` via an `naive bayes model` and a `File`. Prepares writing of a `model` to the file. Based on whether the file's suffix contains `.gz`, it detects whether the file is gzipped or not.
    Parameters:
      `model` - The `naive bayes model` which is to be persisted.
      `f` - The `File` in which the model is to be persisted.
    Throws:
      `IOException` - Thrown if IO errors occurred.
    See Also:
      - `NaiveBayesModel`

  - ### PlainTextNaiveBayesModelWriter

    public PlainTextNaiveBayesModelWriter(AbstractModel model, BufferedWriter bw)
    Instantiates `PlainTextNaiveBayesModelWriter` via an `naive bayes model` and a `BufferedWriter`. Prepares writing a `model` to the file. Based on whether the file's suffix contains `.gz`, it detects whether the file is gzipped or not.
    Parameters:
      `model` - The `naive bayes model` which is to be persisted.
      `bw` - The `BufferedWriter` which is used to persist the `model`. The `bw` must be opened.

- ## Method Details

  - ### writeUTF

    public void writeUTF(String s) throws IOException
    Description copied from class: `AbstractModelWriter`
    Writes a `String` to the underlying `DataOutputStream`.
    Specified by:
      `writeUTF` in class `AbstractModelWriter`
    Parameters:
      `s` - The `UTF encoded` characters.
    Throws:
      `IOException` - Thrown if IO errors occurred.

  - ### writeInt

    public void writeInt(int i) throws IOException
    Description copied from class: `AbstractModelWriter`
    Writes a single `int` to the underlying `DataOutputStream`.
    Specified by:
      `writeInt` in class `AbstractModelWriter`
    Parameters:
      `i` - The `int` value.
    Throws:
      `IOException` - Thrown if IO errors occurred.

  - ### writeDouble

    public void writeDouble(double d) throws IOException
    Description copied from class: `AbstractModelWriter`
    Writes a single `double` to the underlying `DataOutputStream`.
    Specified by:
      `writeDouble` in class `AbstractModelWriter`
    Parameters:
      `d` - The `double` value.
    Throws:
      `IOException` - Thrown if IO errors occurred.

  - ### close

    public void close() throws IOException
    Description copied from class: `AbstractModelWriter`
    Closes the underlying `DataOutputStream`.
    Specified by:
      `close` in class `AbstractModelWriter`
    Throws:
      `IOException` - Thrown if IO errors occurred.